| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFPageTable_V2 Class Referenceabstract

`#include <AAX_IACFPageTable.h>`

Inheritance diagram for AAX_IACFPageTable_V2:
[legend]
Collaboration diagram for AAX_IACFPageTable_V2:
[legend]

## Description

Versioned interface to the host's representation of a plug-in instance's page table.

## Public Member Functions
virtual AAX_Result | GetNumParametersWithNameVariations (int32_t &oNumParameterIdentifiers) const =0
virtual AAX_Result | GetNameVariationParameterIDAtIndex (int32_t iIndex, AAX_IString &oParameterIdentifier) const =0
virtual AAX_Result | GetNumNameVariationsForParameter (AAX_CPageTableParamID iParameterIdentifier, int32_t &oNumVariations) const =0
virtual AAX_Result | GetParameterNameVariationAtIndex (AAX_CPageTableParamID iParameterIdentifier, int32_t iIndex, AAX_IString &oNameVariation, int32_t &oLength) const =0
virtual AAX_Result | GetParameterNameVariationOfLength (AAX_CPageTableParamID iParameterIdentifier, int32_t iLength, AAX_IString &oNameVariation) const =0
virtual AAX_Result | ClearParameterNameVariations ()=0
virtual AAX_Result | ClearNameVariationsForParameter (AAX_CPageTableParamID iParameterIdentifier)=0
virtual AAX_Result | SetParameterNameVariation (AAX_CPageTableParamID iParameterIdentifier, const AAX_IString &iNameVariation, int32_t iLength)=0
Public Member Functions inherited from AAX_IACFPageTable
virtual AAX_Result | Clear ()=0
| Clears all parameter mappings from the table.
virtual AAX_Result | Empty (AAX_CBoolean &oEmpty) const =0
| Indicates whether the table is empty.
virtual AAX_Result | GetNumPages (int32_t &oNumPages) const =0
| Get the number of pages currently in this table.
virtual AAX_Result | InsertPage (int32_t iPage)=0
| Insert a new empty page before the page at index `iPage`.
virtual AAX_Result | RemovePage (int32_t iPage)=0
| Remove the page at index `iPage`.
virtual AAX_Result | GetNumMappedParameterIDs (int32_t iPage, int32_t &oNumParameterIdentifiers) const =0
| Returns the total number of parameter IDs which are mapped to a page.
virtual AAX_Result | ClearMappedParameter (int32_t iPage, int32_t iIndex)=0
| Clear the parameter at a particular index in this table.
virtual AAX_Result | GetMappedParameterID (int32_t iPage, int32_t iIndex, AAX_IString &oParameterIdentifier) const =0
| Get the parameter identifier which is currently mapped to an index in this table.
virtual AAX_Result | MapParameterID (AAX_CParamID iParameterIdentifier, int32_t iPage, int32_t iIndex)=0
| Map a parameter to this table.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ GetNumParametersWithNameVariations()

virtual AAX_Result AAX_IACFPageTable_V2::GetNumParametersWithNameVariations | ( | int32_t & | oNumParameterIdentifiers | ) | const
| pure virtual

Get the number of parameters with name variations defined for the current table type

Provides the number of parameters with `lt;ControlNameVariationslt;` which are explicitly defined for the current page table type.

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

- See also
    AAX_IPageTable::GetNameVariationParameterIDAtIndex()
  Parameters

    [out] | oNumParameterIdentifiers | The number of parameters with name variations explicitly associated with the current table type.

## ◆ GetNameVariationParameterIDAtIndex()

virtual AAX_Result AAX_IACFPageTable_V2::GetNameVariationParameterIDAtIndex | ( | int32_t | iIndex,
|  | AAX_IString & | oParameterIdentifier
| ) |  | const
| pure virtual

Get the identifier for a parameter with name variations defined for the current table type

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

- See also
    AAX_IPageTable::GetNumParametersWithNameVariations()
  Parameters

    [in] | iIndex | The target parameter index within the list of parameters with explicit name variations defined for this table type.
    [out] | oParameterIdentifier | The identifier used for the parameter in the page table name variations list (may be parameter name or ID)

## ◆ GetNumNameVariationsForParameter()

virtual AAX_Result AAX_IACFPageTable_V2::GetNumNameVariationsForParameter | ( | AAX_CPageTableParamID | iParameterIdentifier,
|  | int32_t & | oNumVariations
| ) |  | const
| pure virtual

Get the number of name variations defined for a parameter

Provides the number of `lt;ControlNameVariationslt;` which are explicitly defined for `iParameterIdentifier` for the current page table type. No fallback logic is used to resolve this to the list of variations which would actually be used for an attached control surface if no explicit variations are defined for the current table type.

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

- See also
    AAX_IPageTable::GetParameterNameVariationAtIndex()
  Returns
    AAX_SUCCESS and provides zero to `oNumVariations` if `iParameterIdentifier` is not found
  Parameters

    [in] | iParameterIdentifier | The identifier for the parameter
    [out] | oNumVariations | The number of name variations which are defined for this parameter and explicitly associated with the current table type.

## ◆ GetParameterNameVariationAtIndex()

virtual AAX_Result AAX_IACFPageTable_V2::GetParameterNameVariationAtIndex | ( | AAX_CPageTableParamID | iParameterIdentifier,
|  | int32_t | iIndex,
|  | AAX_IString & | oNameVariation,
|  | int32_t & | oLength
| ) |  | const
| pure virtual

Get a parameter name variation from the page table

Only returns `lt;ControlNameVariationslt;` which are explicitly defined for the current page table type. No fallback logic is used to resolve this to the abbreviation which would actually be shown on an attached control surface if no explicit variation is defined for the current table type.

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

- See also
    AAX_IPageTable::GetNumNameVariationsForParameter()
- See also
    AAX_IPageTable::GetParameterNameVariationOfLength()
  Returns
    AAX_ERROR_NO_ABBREVIATED_PARAMETER_NAME if no suitable variation is defined for this table
    AAX_ERROR_ARGUMENT_OUT_OF_RANGE if `iIndex` is out of range
  Parameters

    [in] | iParameterIdentifier | The identifier for the parameter
    [in] | iIndex | Index of the name variation
    [out] | oNameVariation | The name variation, if one is explicitly defined for this table type
    [out] | oLength | The length value for this name variation. This corresponds to the variation's `sz` attribute in the page table XML and may be different from the string length of `iNameVariation`.

## ◆ GetParameterNameVariationOfLength()

virtual AAX_Result AAX_IACFPageTable_V2::GetParameterNameVariationOfLength | ( | AAX_CPageTableParamID | iParameterIdentifier,
|  | int32_t | iLength,
|  | AAX_IString & | oNameVariation
| ) |  | const
| pure virtual

Get a parameter name variation of a particular length from the page table

Only returns `lt;ControlNameVariationslt;` which are explicitly defined of `iLength` for the current page table type. No fallback logic is used to resolve this to the abbreviation which would actually be shown on an attached control surface if no explicit variation is defined for the specified length or current table type.

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

- See also
    AAX_IPageTable::GetParameterNameVariationAtIndex()
  Returns
    AAX_ERROR_NO_ABBREVIATED_PARAMETER_NAME if no suitable variation is defined for this table
  Parameters

    [in] | iParameterIdentifier | The identifier for the parameter
    [in] | iLength | The variation length to check, i.e. the `sz` attribute for the name variation in the page table XML
    [out] | oNameVariation | The name variation, if one is explicitly defined for this table type and `iLength`

## ◆ ClearParameterNameVariations()

virtual AAX_Result AAX_IACFPageTable_V2::ClearParameterNameVariations | ( |  | ) |
| pure virtual

Clears all name variations for the current page table type

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

See also
  AAX_IPageTable::Clear()
  AAX_IPageTable::ClearNameVariationsForParameter()

## ◆ ClearNameVariationsForParameter()

virtual AAX_Result AAX_IACFPageTable_V2::ClearNameVariationsForParameter | ( | AAX_CPageTableParamID | iParameterIdentifier | ) |
| pure virtual

Clears all name variations for a single parameter for the current page table type

Warning
  This will invalidate the list of parameter name variations indices, i.e. the parameter identifier associated with each index by AAX_IPageTable::GetNameVariationParameterIDAtIndex()

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

See also
  AAX_IPageTable::Clear()
  AAX_IPageTable::ClearParameterNameVariations()

Returns
  AAX_SUCCESS and provides zero to `oNumVariations` if `iParameterIdentifier` is not found

Parameters

  [in] | iParameterIdentifier | The identifier for the parameter

## ◆ SetParameterNameVariation()

virtual AAX_Result AAX_IACFPageTable_V2::SetParameterNameVariation | ( | AAX_CPageTableParamID | iParameterIdentifier,
|  | const AAX_IString & | iNameVariation,
|  | int32_t | iLength
| ) |  |
| pure virtual

Sets a name variation explicitly for the current page table type

This will add a new name variation or overwrite the existing name variation with the same length which is defined for the current table type.

Warning
  If no name variation previously existed for this parameter then this will invalidate the list of parameter name variations indices, i.e. the parameter identifier associated with each index by AAX_IPageTable::GetNameVariationParameterIDAtIndex()

Note
  Normally parameter name variations are only used with the `'PgTL'` table type

Returns
  AAX_ERROR_INVALID_ARGUMENT if `iNameVariation` is empty or if `iLength` is less than zero

Parameters

  [in] | iParameterIdentifier | The identifier for the parameter
  [in] | iNameVariation | The new parameter name variation
  [in] | iLength | The length value for this name variation. This corresponds to the variation's `sz` attribute in the page table XML and is not required to match the length of `iNameVariation`.

The documentation for this class was generated from the following file:

- AAX_IACFPageTable.h